@import "../../../styles/variables/colors.scss";

.form-forgot-password__container {
    width: 100%;
    box-sizing: border-box;
    padding-top: 20px;
    background-color: $bg_brand;
    border: none;
    display: flex;
    flex-direction: column;
    align-items: center;
   
    &.light-theme {
        background-color: $white;
    }

    .form-forgot-password__content {
        width: 100%;
        max-width: 500px;

        .form-forgot-password__form {
            width: 100%;

            .form-forgot-password__title {
                font-size: 18px;
                color: $gray_light-text;
                margin-bottom: 20px;
                text-align: center;
            }

            .form-forgot-password__title.light-theme {
                color: $gray_border-hover-medium;
            }
        }

        .form-forgot-password__button-container {
            display: flex;
            justify-content: end;
            column-gap: 20px;
        }

        .form-registration__success {
            color: $green_button;
            text-align: center;
        }

        @media (max-width: 1024px) {
            .form-forgot-password__title {
                font-size: 16px;
                margin-bottom: 15px;
            }

            .form-forgot-password__button-container {
                flex-direction: column;
                row-gap: 10px;
            }
        }

        @media (max-width: 620px) {
            padding: 10px;

            .form-forgot-password__title {
                font-size: 14px;
                margin-bottom: 10px;
            }

            .form-forgot-password__button-container {
                flex-direction: column;
                row-gap: 10px;
            }

            .form-forgot-password__button {
                width: 100%;
            }
        }
    }
}

.form-forgot-password__button.fb-gray.light-theme {
    background-color: $gray_light-text;

    &:hover {
        background-color: $gray_border-hover; 
    }
}
